com.genesyslab.wfm8.API.service.schedule800

## Class SchAvailability

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchAvailability

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAvailability
      extends java.lang.Object
      implements java.io.Serializable

  Availability
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndDateTime`
    `protected double` | `wmStartDateTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAvailability()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `int` | `hashCode()`
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `java.lang.String` | `toString()`
    `SchAvailability` | `withWmEndDateTime(double value)`
    `SchAvailability` | `withWmStartDateTime(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStartDateTime

          protected double wmStartDateTime

    - #### wmEndDateTime

          protected double wmEndDateTime

  - ### Constructor Detail

    - #### SchAvailability

          public SchAvailability()

  - ### Method Detail

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### withWmStartDateTime

          public SchAvailability withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public SchAvailability withWmEndDateTime(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.